include:
  - project: "to-be-continuous/tools/gitlab-ci"
    ref: "master"
    file: "/templates/extract.yml"
  - project: "to-be-continuous/tools/gitlab-ci"
    ref: "master"
    file: "/templates/validation.yml"
  - project: "to-be-continuous/kicker"
    ref: "master"
    file: "/templates/validation.yml"
  - component: $CI_SERVER_FQDN/to-be-continuous/bash/gitlab-ci-bash@3.5
    inputs:
      shellcheck-files: "*.sh"
  - local: "templates/gitlab-ci-semrel.yml"

variables:
  GITLAB_CI_FILES: "templates/gitlab-ci-semrel.yml"

semantic-release:
  rules:
    # on production branch(es): auto if SEMREL_AUTO_RELEASE_ENABLED
    - if: '$TMPL_RELEASE_ENABLED == "true" && $CI_COMMIT_REF_NAME =~ $PROD_REF'
